# Method: projects.tenants.list

- [HTTP request](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v2/projects.tenants/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v2/projects.tenants/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v2/projects.tenants/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v2/projects.tenants/list#body.request_body)
- [Response body](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v2/projects.tenants/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v2/projects.tenants/list#body.ListTenantsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v2/projects.tenants/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v2/projects.tenants/list#try-it)

List tenants under the given agent project. Requires read permission on the Agent project.

### HTTP request

`GET https://identitytoolkit.googleapis.com/v2/{parent=projects/*}/tenants`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource name to list tenants for. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `identitytoolkit.tenants.list` |

### Query parameters

| Parameters ||
|---|---|
| `pageToken` | `string` The pagination token from the response of a previous request. |
| `pageSize` | `integer` The maximum number of results to return, capped at 1000. If not specified, the default value is 20. |

### Request body

The request body must be empty.

### Response body

Response message for tenants.list.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "tenants": [ { object (`https://docs.cloud.google.com/identity-platform/docs/reference/rest/v2/projects.tenants#Tenant`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `tenants[]` | ``object (`https://docs.cloud.google.com/identity-platform/docs/reference/rest/v2/projects.tenants#Tenant`)`` A list of tenants under the given agent project. |
| `nextPageToken` | `string` The token to get the next page of results. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/identitytoolkit`
- `
  https://www.googleapis.com/auth/firebase`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).